#line 96 "../mdcode.mdc"
#include <stdio.h>
#line 165 "../mdcode.mdc"
struct text {
	char *txt;
	int len;
};

struct section {
	struct text section;
	struct code_node *code;
	struct section *next;
};

struct code_node {
	struct text code;
	int indent;
	int line_no;
	int needs_strip;
	struct code_node *next;
	struct section *child;
};

#line 698 "../mdcode.mdc"
typedef void (*code_err_fn)(char *msg);

#line 261 "../mdcode.mdc"
void code_free(struct code_node *code);

#line 749 "../mdcode.mdc"
struct section *code_extract(char *pos, char *end, code_err_fn error);


#line 815 "../mdcode.mdc"
void code_node_print(FILE *out, struct code_node *node, char *fname);

#line 99 "../mdcode.mdc"

